
#include <oslib/oslib.h>


//declaration
OSL_IMAGE *FondDivers;



void fxdivers()
{


	FondDivers = oslLoadImageFile("media/fond.png", OSL_IN_RAM, OSL_PF_5551);	


		//Debut du dessin
		oslStartDrawing();
		oslCls();
		oslReadKeys();


		oslClearScreen (RGB(200, 200, 200));
		oslPrintf_xy(10, 10, "Exemple 1");
		oslSynchronization();
		oslWaitKey();
		//dessine l'image de fond
		oslDrawImage(FondDivers);
		//le synchronise pour afficher l'image
		oslSynchronization();
		//applique l'effet, il garde en memoire l'etat actuel du rendu et applique l'effet souhaiter
		oslDrawCubeMaskEffect(30,30,RGB(0,0,0));

		//reset du rendu et on recommence
		oslClearScreen (RGB(200, 200, 200));
		oslPrintf_xy(10, 10, "Exemple 2");
		oslSynchronization();
		oslWaitKey();
		oslCls();
		oslDrawImage(FondDivers);
		oslSynchronization();
		oslFadeInEffect();

		//Masquer en rectangle
		oslClearScreen (RGB(200, 200, 200));
		oslPrintf_xy(10, 10, "Exemple 1");
		oslSynchronization();
		oslWaitKey();
		oslCls();
		oslDrawImage(FondDivers);
		oslSynchronization();
		oslDrawRectangleMaskEffect(RGB(0,0,0));


		oslSynchronization();




}



